import {BasicColumn, FormSchema} from '@/components/Table';
import {InputProps} from "ant-design-vue";

export const gourpTableFormSchema: FormSchema[] = [
  {
    field: 'key',
    component: 'Input',
    componentProps: {
      placeholder: '输入关键字搜索',
    } as InputProps,
  },
];
export const groupTableColumn: BasicColumn[] = [
  {
    title: '群组名称',
    dataIndex: 'name',
  },
  {
    title: '拥有者',
    dataIndex: 'owner',
  },
  {
    title: '更新时间',
    dataIndex: 'updateTime',
  },
  {
    title: '执行时间',
    dataIndex: 'runTime',
  },
  {
    title: '执行状态',
    dataIndex: 'runStatus',
  },
  {
    title: '数据量',
    dataIndex: 'dataNum',
  },
  {
    title: '新建数据集状态',
    dataIndex: 'newDataGroupStatus',
  },
];
